Bug 829327 - [abrt] remmina-1.0.0-1.fc17: freerdp_mono_image_convert: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
[abrt] remmina-1.0.0-1.fc17: freerdp_mono_image_convert: Process /usr/bin/rem...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:b2d65fc088e09dc7070357751f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 09:32 EDT by Aleksei
Modified: 2013-07-31 18:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:37:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.02 KB, text/plain)
2012-06-06 09:32 EDT, Aleksei
no flags Details
File: xsession_errors (5.61 KB, text/plain)
2012-06-06 09:32 EDT, Aleksei
no flags Details
File: maps (36.48 KB, text/plain)
2012-06-06 09:32 EDT, Aleksei
no flags Details
File: dso_list (7.09 KB, text/plain)
2012-06-06 09:32 EDT, Aleksei
no flags Details

  None (edit)
Description Aleksei 2012-06-06 09:32:10 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: freerdp_mono_image_convert
executable:     /usr/bin/remmina
kernel:         3.3.7-1.fc17.x86_64
pid:            21703
pwd:            /home/hikaru/Documents
time:           Wed 06 Jun 2012 05:23:04 PM MSK
uid:            1000
username:       hikaru

backtrace:      Text file, 54291 bytes
dso_list:       Text file, 7259 bytes
maps:           Text file, 37352 bytes
xsession_errors: Text file, 5748 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/hikaru/1

comment:
:1. Connect to TS
:2. Try to take controll over user session

core_backtrace:
:06fdcfd4a22d2607afb22ca23fef13a095ec3061 0x7140 freerdp_mono_image_convert libfreerdp-codec.so.1.0 -
:56263888113d9103ac9506777b0a51f1cc48c780 0x10c9d gdi_patblt libfreerdp-gdi.so.1.0 -
:81bff37112af01e74db4714671e9fd36b33c63db 0x20d2 update_gdi_patblt libfreerdp-cache.so.1.0 -
:638f6ebde5d44e205089db809341c96f1bb77738 0x29a38 update_recv_primary_order libfreerdp-core.so.1.0 -
:638f6ebde5d44e205089db809341c96f1bb77738 0x32c7b fastpath_recv_updates libfreerdp-core.so.1.0 -
:638f6ebde5d44e205089db809341c96f1bb77738 0x30bca - libfreerdp-core.so.1.0 -
:638f6ebde5d44e205089db809341c96f1bb77738 0x30e10 - libfreerdp-core.so.1.0 -
:638f6ebde5d44e205089db809341c96f1bb77738 0x34052 transport_check_fds libfreerdp-core.so.1.0 -
:638f6ebde5d44e205089db809341c96f1bb77738 0x2a623 freerdp_check_fds libfreerdp-core.so.1.0 -
:a792afb1baadaa046b2e25f933e61544588652cc 0x6d47 - remmina-plugin-rdp.so -
:a792afb1baadaa046b2e25f933e61544588652cc 0x7478 - remmina-plugin-rdp.so -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=780
:HOSTNAME=layer
:DM_CONTROL=/var/run/xdmctl
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/bash
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/hikaru/.gtkrc-2.0:/home/hikaru/.gtkrc-2.0-kde4:/home/hikaru/.kde/share/config/gtkrc-2.0
:GS_LIB=
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=hikaru
:SSH_AUTH_SOCK=/tmp/ssh-bAUMPJoFU743/agent.743
:MAIL=/var/spool/mail/hikaru
:DESKTOP_SESSION=default
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/hikaru/bin
:PWD=/home/hikaru
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/hikaru
:KDE_SESSION_VERSION=4
:LOGNAME=hikaru
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-wuFQQUhln9,guid=e0c4c49b80bebd6a8e53434300000024
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/hikaru
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/hikaru/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/kde-hikaru/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/856,unix/unix:/tmp/.ICE-unix/856
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/hikaru/.gtkrc:/home/hikaru/.kde/share/config/gtkrc
:XCURSOR_THEME=default
:LANGUAGE=
:DESKTOP_STARTUP_ID=layer;1338975711;4676;921_TIME16910576

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31485                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31485                31485                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[1835781]
:pos:	0
:flags:	00
:1:/home/hikaru/.xsession-errors
:pos:	375480
:flags:	0100001
:2:/home/hikaru/.xsession-errors
:pos:	375480
:flags:	0100001
:3:socket:[1835800]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[1836450]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:pipe:[1839652]
:pos:	0
:flags:	00
:10:pipe:[1839652]
:pos:	0
:flags:	01
:11:pipe:[1839653]
:pos:	0
:flags:	00
:12:pipe:[1839653]
:pos:	0
:flags:	01
:13:pipe:[3139853]
:pos:	0
:flags:	00
:14:socket:[19790]
:pos:	0
:flags:	02
:15:pipe:[3139853]
:pos:	0
:flags:	01
:16:pipe:[3139854]
:pos:	0
:flags:	00
:17:socket:[19914]
:pos:	0
:flags:	02
:18:pipe:[19329]
:pos:	0
:flags:	00
:19:pipe:[19329]
:pos:	0
:flags:	01
:20:pipe:[19330]
:pos:	0
:flags:	00
:21:pipe:[19330]
:pos:	0
:flags:	01
:22:pipe:[1841569]
:pos:	0
:flags:	00
:23:pipe:[1841569]
:pos:	0
:flags:	01
:24:pipe:[1841570]
:pos:	0
:flags:	00
:25:pipe:[1841570]
:pos:	0
:flags:	01
:26:pipe:[3139854]
:pos:	0
:flags:	01
:27:pipe:[3145256]
:pos:	0
:flags:	00
:28:pipe:[3145256]
:pos:	0
:flags:	01
:29:pipe:[3145257]
:pos:	0
:flags:	00
:30:pipe:[3139935]
:pos:	0
:flags:	00
:31:pipe:[3139935]
:pos:	0
:flags:	01
:32:pipe:[3139936]
:pos:	0
:flags:	00
:33:pipe:[3139936]
:pos:	0
:flags:	01
:34:pipe:[3145257]
:pos:	0
:flags:	01
:35:pipe:[3145258]
:pos:	0
:flags:	04000
:36:pipe:[3145258]
:pos:	0
:flags:	01
:37:socket:[3144571]
:pos:	0
:flags:	04002
:38:pipe:[3144578]
:pos:	0
:flags:	00
:39:pipe:[3144578]
:pos:	0
:flags:	01
:40:pipe:[3144579]
:pos:	0
:flags:	00
:41:pipe:[3144579]
:pos:	0
:flags:	01

smolt_data:
:
:
:General
:=================================
:UUID: 62cfc67e-e5b9-40a4-85b0-d0bf36ee7f67
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3732.43
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 CPU          6300  @ 1.86GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1870
:System Memory: 3954
:System Swap: 999
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11808:4163:33491) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:11809:4163:33491) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:(32902:14896:4163:33492) pci, None, SERIAL, 82801JI (ICH10 Family) SMBus Controller
:(32902:14880:4163:33492) pci, ata_piix, STORAGE, 82801JI (ICH10 Family) 4 port SATA IDE Controller #1
:(32902:14872:4163:33492) pci, None, PCI/ISA, 82801JIB (ICH10) LPC Interface Controller
:(32902:14886:4163:33492) pci, ata_piix, STORAGE, 82801JI (ICH10 Family) 2 port SATA IDE Controller #2
:(32902:9294:4163:33492) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:14901:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #2
:(32902:14900:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #1
:(32902:14905:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #6
:(32902:14902:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #3
:(32902:14906:4163:33492) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #1
:(32902:14908:4163:33492) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #2
:(6523:9064:4163:33406) pci, pata_jmicron, STORAGE, JMB368 IDE controller
:(32902:14916:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 3
:(32902:14912:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 1
:(32902:14914:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Port 2
:(32902:14910:4163:33606) pci, snd_hda_intel, MULTIMEDIA, 82801JI (ICH10 Family) HD Audio Controller
:(32902:14903:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #4
:(32902:14904:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #5
:(4098:29344:5963:57745) pci, None, VIDEO, RV570 [Radeon X1950 Pro] (secondary)
:(4098:29312:5963:57744) pci, radeon, VIDEO, RV570 [Radeon X1950 Pro]
:(4332:33128:4163:33639) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 2556114 1472306 1446711 647168 549644 549644
:/dev/sda1 /boot ext4 1024 1024 508745 422727 397127 128016 127616 127616
:/dev/sda5 /home xfs 4096 4096 16585050 2017571 2017571 32338672 32284166 32284166
:

var_log_messages:
:Jun  6 13:40:56 layer kernel: [16855.947206] remmina[21546]: segfault at 8 ip 0000003cfaa085ba sp 00007fe575edc740 error 4 in libfreerdp-utils.so.1.0.1[3cfaa00000+c000]
:Jun  6 13:40:59 layer abrt[21570]: Saved core dump of pid 2445 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-06-06-13:40:56-2445 (224526336 bytes)
:Jun  6 13:41:47 layer kernel: [16906.687766] remmina[21667]: segfault at 8 ip 0000003cfaa085ba sp 00007f42b83aa740 error 4 in libfreerdp-utils.so.1.0.1[3cfaa00000+c000]
:Jun  6 13:41:47 layer abrt[21672]: Saved core dump of pid 21611 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-06-06-13:41:47-21611 (60440576 bytes)
:Jun  6 17:23:04 layer kernel: [30184.589895] remmina[4542]: segfault at 0 ip 0000003cf9607140 sp 00007fc37e1a5650 error 4 in libfreerdp-codec.so.1.0.1[3cf9600000+e000]
:Jun  6 17:23:06 layer abrt[4544]: Saved core dump of pid 21703 (/usr/bin/remmina) to /var/spool/abrt/ccpp-2012-06-06-17:23:04-21703 (146063360 bytes)
Comment 1 Aleksei 2012-06-06 09:32:17 EDT
Created attachment 589890 [details]
File: backtrace
Comment 2 Aleksei 2012-06-06 09:32:20 EDT
Created attachment 589891 [details]
File: xsession_errors
Comment 3 Aleksei 2012-06-06 09:32:23 EDT
Created attachment 589892 [details]
File: maps
Comment 4 Aleksei 2012-06-06 09:32:26 EDT
Created attachment 589893 [details]
File: dso_list
Comment 5 Devon Janitz 2012-11-07 10:36:41 EST
Anything I can pull from my machine that will help please let me know.  Had the same issue.
Thanks, Devon
Comment 6 Fedora End Of Life 2013-07-03 17:29:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 18:37:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.